openapi: 3.0.1
info:
  title: SUUNTO ROUTE API
  description: >-
    Endpoint provides GPX routes import facility for Suunto consumers. Routes
    are shown in customers' profiles accessible from Suunto app.
  version: '1.0'
servers:
  - url: 'https://cloudapi.suunto.com/v2/route'
paths:
  /import:
    post:
      summary: Import GPX
      description: Import route in GPX format.
      operationId: import-gpx-route
      parameters:
        - name: activities
          in: query
          description: A comma-separated list of activities.
          explode: false
          schema:
            $ref: '#/components/schemas/activities'
        - name: Authorization
          in: header
          description: JWT access token
          required: true
          schema:
            type: string
        - name: Content-Type
          in: header
          description: application/gpx+xml
          required: true
          schema:
            enum:
              - application/gpx+xml
            type: string
            default: application/gpx+xml
      responses:
        '200':
          description: Request processed successfully.
          content:
            application/json: {}
        '400':
          description: ''
          content:
            application/json: {}
        '403':
          description: ''
          content:
            application/json: {}
        '500':
          description: ''
          content:
            application/json: {}
components:
  schemas:
    activities:
      type: array
      items:
        enum:
          - 0 # WALKING
          - 1 # RUNNING
          - 2 # CYCLING
          - 3 # CROSS_COUNTRY_SKIING
          - 4 # OTHER_1
          - 5 # OTHER_2
          - 6 # OTHER_3
          - 7 # OTHER_4
          - 8 # OTHER_5
          - 9 # OTHER_6
          - 10 # MOUNTAIN_BIKING
          - 11 # HIKING
          - 12 # ROLLER_SKATING
          - 13 # DOWNHILL_SKIING
          - 14 # PADDLING
          - 15 # ROWING
          - 16 # GOLF
          - 17 # INDOOR
          - 18 # PARKOUR
          - 19 # BALL_GAMES
          - 20 # OUTDOOR_GYM
          - 21 # SWIMMING
          - 22 # TRAIL_RUNNING
          - 23 # GYM
          - 24 # NORDIC_WALKING
          - 25 # HORSEBACK_RIDING
          - 26 # MOTORSPORTS
          - 27 # SKATEBOARDING
          - 28 # WATER_SPORTS
          - 29 # CLIMBING
          - 30 # SNOWBOARDING
          - 31 # SKI_TOURING
          - 32 # FITNESS_CLASS
          - 33 # SOCCER
          - 34 # TENNIS
          - 35 # BASKETBALL
          - 36 # BADMINTON
          - 37 # BASEBALL
          - 38 # VOLLEYBALL
          - 39 # AMERICAN_FOOTBALL
          - 40 # TABLE_TENNIS
          - 41 # RACQUET_BALL
          - 42 # SQUASH
          - 43 # FLOORBALL
          - 44 # HANDBALL
          - 45 # SOFTBALL
          - 46 # BOWLING
          - 47 # CRICKET
          - 48 # RUGBY
          - 49 # ICE_SKATING
          - 50 # ICE_HOCKEY
          - 51 # YOGA
          - 52 # INDOOR_CYCLING
          - 53 # TREADMILL
          - 54 # CROSSFIT
          - 55 # CROSSTRAINER
          - 56 # ROLLER_SKIING
          - 57 # INDOOR_ROWING
          - 58 # STRETCHING
          - 59 # TRACK_AND_FIELD
          - 60 # ORIENTEERING
          - 61 # STANDUP_PADDLING
          - 62 # COMBAT_SPORT
          - 63 # KETTLEBELL
          - 64 # DANCING
          - 65 # SNOW_SHOEING
          - 66 # FRISBEE_GOLF
          - 67 # FUTSAL
          - 68 # MULTISPORT
          - 69 # TREKKING
          - 70 # SAILING
          - 71 # KAYAKING
          - 72 # CIRCUIT_TRAINING
          - 73 # TRIATHLON
          - 74 # BOXING
          - 75 # SCUBADIVING
          - 76 # FREEDIVING
          - 77 # ADVENTURE_RACING
          - 78 # GYMNASTICS
          - 79 # CANOEING
          - 80 # MOUNTAINEERING
          - 81 # TELEMARKSKIING
          - 82 # OPENWATER_SWIMMING
          - 83 # WINDSURFING
          - 84 # KITESURFING_KITING
          - 85 # PARAGLIDING
          - 86 # SURFING
          - 87 # SWIMRUN
          - 88 # DUATHLON
          - 89 # AQUATHLON
          - 90 # OBSTACLE_RACING
          - 91 # FISHING
          - 92 # HUNTING
          - 93 # TRANSITION
        type: integer
  securitySchemes:
    apiKeyHeader:
      type: apiKey
      name: Ocp-Apim-Subscription-Key
      in: header
    apiKeyQuery:
      type: apiKey
      name: subscription-key
      in: query
security:
  - apiKeyHeader: []
  - apiKeyQuery: []
